import { http } from '@/utils/http'
// 查询游戏赛事列表
export const matchList = (data) => {
  return http({
    url: '/api/game/match/list',
    method: 'get',
    data,
  })
}
// 查询游戏赛事详情
export const matchInfo = (data) => {
    return http({
      url: '/api/game/match/info',
      method: 'get',
      data,
    })
  }
  // 查询游戏赛事详情
export const matchRank = (data) => {
    return http({
      url: '/api/game/match/rank',
      method: 'get',
      data,
    })
  }
  // 查询用户奖金信息
export const userPrize = (data) => {
    return http({
      url: '/api/game/user/prize',
      method: 'post',
      data,
      showLoading: false
    })
  }
  // 领取用户奖金
export const claimPrize = (data) => {
    return http({
      url: '/api/game/claim/prize',
      method: 'post',
      data,
      showLoading: false
    })
  }
// 校验报名竞赛
export const verifyEnroll = (data) => {
  return http({
    url: '/api/game/verify/enroll',
    method: 'post',
    data,
  })
}
// 报名竞赛
export const matchEnroll = (data) => {
  return http({
    url: '/api/game/match/enroll',
    method: 'post',
    data,
  })
}
// gas费倍数
export const sysSetting = (data) => {
  return http({
    url: '/api/sys/setting',
    method: 'get',
    data,
  })
}
// 上报
export const reportLogger = (data) => {
  return http({
    url: '/api/report/logger',
    method: 'post',
    data,
    showLoading:false
  })
}
// 直接报名游戏竞赛
export const enrollGameMatch = (data) => {
  return http({
    url: '/api/game/enroll/match',
    method: 'post',
    data,
    showLoading: false
  })
}
// 直接领取游戏奖金
export const receiveGamePrize = (data) => {
  return http({
    url: '/api/game/prize/receive',
    method: 'post',
    data,
    showLoading: false
  })
}